<?xml version="1.0" encoding="UTF-8"?>

<!--XBRL Document Created with Wdesk from Workiva-->
<!--Copyright 2023 Workiva-->
<!--r:f48e6b7d-9db3-4c28-b39b-687eb3a4f266,g:c6fee46a-2c0e-47b5-b7b1-76a077ff426f-->
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedPeriodStartLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedPeriodStartLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/netLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/net-2009-12-16.xsd#netLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedNetLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedNetLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedTerseLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedTerseLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedPeriodEndLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedPeriodEndLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedTotalLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedTotalLabel"/>
  <link:labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended">
    <link:label id="lab_amrest_Reserves_label_en" xlink:label="lab_amrest_Reserves" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Reserves</link:label>
    <link:label id="lab_amrest_Reserves_documentation_en" xlink:label="lab_amrest_Reserves" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Reservas</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_amrest_Reserves" xlink:href="259400T6ZDQIMDBGDN42-2022-12-31.xsd#amrest_Reserves"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_amrest_Reserves" xlink:to="lab_amrest_Reserves" xlink:type="arc" order="1"/>
    <link:label id="lab_amrest_RentConcession_label_en" xlink:label="lab_amrest_RentConcession" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Rent concession</link:label>
    <link:label id="lab_amrest_RentConcession_documentation_en" xlink:label="lab_amrest_RentConcession" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Concesión de alquiler</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_amrest_RentConcession" xlink:href="259400T6ZDQIMDBGDN42-2022-12-31.xsd#amrest_RentConcession"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_amrest_RentConcession" xlink:to="lab_amrest_RentConcession" xlink:type="arc" order="1"/>
    <link:label id="lab_amrest_RestaurantFoodAndMerchandise_label_en" xlink:label="lab_amrest_RestaurantFoodAndMerchandise" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Restaurant food and merchandise</link:label>
    <link:label id="lab_amrest_RestaurantFoodAndMerchandise_documentation_en" xlink:label="lab_amrest_RestaurantFoodAndMerchandise" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Consumo de mercaderías y materias primas de restaurantes</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_amrest_RestaurantFoodAndMerchandise" xlink:href="259400T6ZDQIMDBGDN42-2022-12-31.xsd#amrest_RestaurantFoodAndMerchandise"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_amrest_RestaurantFoodAndMerchandise" xlink:to="lab_amrest_RestaurantFoodAndMerchandise" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities_5ea79f2d-6f52-4896-99c1-47d93341d4a4_negatedLabel_en" xlink:label="lab_ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Payments of lease liabilities, classified as financing activities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:to="lab_ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_amrest_ProfitLossFromOperations_ff4b2dfc-5279-4ece-8c2c-185cef23a710_totalLabel_en" xlink:label="lab_amrest_ProfitLossFromOperations" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Profit Loss From Operation</link:label>
    <link:label id="lab_amrest_ProfitLossFromOperations_label_en" xlink:label="lab_amrest_ProfitLossFromOperations" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Profit loss from operations</link:label>
    <link:label id="lab_amrest_ProfitLossFromOperations_documentation_en" xlink:label="lab_amrest_ProfitLossFromOperations" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Beneficio/(Pérdida) de explotación</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_amrest_ProfitLossFromOperations" xlink:href="259400T6ZDQIMDBGDN42-2022-12-31.xsd#amrest_ProfitLossFromOperations"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_amrest_ProfitLossFromOperations" xlink:to="lab_amrest_ProfitLossFromOperations" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_RoyaltyExpense_c1ba7543-91cc-4c05-8b91-7f4651b2f862_negatedLabel_en" xlink:label="lab_ifrs-full_RoyaltyExpense" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Royalty expense</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_RoyaltyExpense" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_RoyaltyExpense"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_RoyaltyExpense" xlink:to="lab_ifrs-full_RoyaltyExpense" xlink:type="arc" order="1"/>
    <link:label id="lab_amrest_RestaurantOccupancyAndOtherOperatingExpenses_label_en" xlink:label="lab_amrest_RestaurantOccupancyAndOtherOperatingExpenses" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Restaurant occupancy and other operating expenses</link:label>
    <link:label id="lab_amrest_RestaurantOccupancyAndOtherOperatingExpenses_documentation_en" xlink:label="lab_amrest_RestaurantOccupancyAndOtherOperatingExpenses" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Otros gastos de explotación de restaurantes</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_amrest_RestaurantOccupancyAndOtherOperatingExpenses" xlink:href="259400T6ZDQIMDBGDN42-2022-12-31.xsd#amrest_RestaurantOccupancyAndOtherOperatingExpenses"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_amrest_RestaurantOccupancyAndOtherOperatingExpenses" xlink:to="lab_amrest_RestaurantOccupancyAndOtherOperatingExpenses" xlink:type="arc" order="1"/>
    <link:label id="lab_amrest_ReservesMember_label_en" xlink:label="lab_amrest_ReservesMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Reserves [Member]</link:label>
    <link:label id="lab_amrest_ReservesMember_documentation_en" xlink:label="lab_amrest_ReservesMember" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Reserves</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_amrest_ReservesMember" xlink:href="259400T6ZDQIMDBGDN42-2022-12-31.xsd#amrest_ReservesMember"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_amrest_ReservesMember" xlink:to="lab_amrest_ReservesMember" xlink:type="arc" order="1"/>
    <link:label id="lab_amrest_NetImpairmentLossesOnOtherAssets_label_en" xlink:label="lab_amrest_NetImpairmentLossesOnOtherAssets" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Net impairment losses on other assets</link:label>
    <link:label id="lab_amrest_NetImpairmentLossesOnOtherAssets_documentation_en" xlink:label="lab_amrest_NetImpairmentLossesOnOtherAssets" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">(Perdidas) / Reversiones por deterioro de valor del resto de activos</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_amrest_NetImpairmentLossesOnOtherAssets" xlink:href="259400T6ZDQIMDBGDN42-2022-12-31.xsd#amrest_NetImpairmentLossesOnOtherAssets"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_amrest_NetImpairmentLossesOnOtherAssets" xlink:to="lab_amrest_NetImpairmentLossesOnOtherAssets" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_PurchaseOfIntangibleAssetsClassifiedAsInvestingActivities_a77a184c-f249-4133-a113-39182e11a046_negatedLabel_en" xlink:label="lab_ifrs-full_PurchaseOfIntangibleAssetsClassifiedAsInvestingActivities" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Purchase of intangible assets, classified as investing activities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_PurchaseOfIntangibleAssetsClassifiedAsInvestingActivities" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_PurchaseOfIntangibleAssetsClassifiedAsInvestingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_PurchaseOfIntangibleAssetsClassifiedAsInvestingActivities" xlink:to="lab_ifrs-full_PurchaseOfIntangibleAssetsClassifiedAsInvestingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_amrest_OtherNonCurrentLiabilitiesAndEmployeeBenefitsLiabilities_label_en" xlink:label="lab_amrest_OtherNonCurrentLiabilitiesAndEmployeeBenefitsLiabilities" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Other non current liabilities and employee benefits liabilities</link:label>
    <link:label id="lab_amrest_OtherNonCurrentLiabilitiesAndEmployeeBenefitsLiabilities_documentation_en" xlink:label="lab_amrest_OtherNonCurrentLiabilitiesAndEmployeeBenefitsLiabilities" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Otros pasivos no corrientes y retribuciones a empleados</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_amrest_OtherNonCurrentLiabilitiesAndEmployeeBenefitsLiabilities" xlink:href="259400T6ZDQIMDBGDN42-2022-12-31.xsd#amrest_OtherNonCurrentLiabilitiesAndEmployeeBenefitsLiabilities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_amrest_OtherNonCurrentLiabilitiesAndEmployeeBenefitsLiabilities" xlink:to="lab_amrest_OtherNonCurrentLiabilitiesAndEmployeeBenefitsLiabilities" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_GrossProfit_9fdb6962-dea9-4955-b832-27ecce50147d_totalLabel_en" xlink:label="lab_ifrs-full_GrossProfit" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">GrossProfit</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_GrossProfit" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_GrossProfit"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_GrossProfit" xlink:to="lab_ifrs-full_GrossProfit" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities_98f5f6b8-9a17-429d-b84f-1f212302e832_negatedLabel_en" xlink:label="lab_ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Purchase of property, plant and equipment, classified as investing activities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" xlink:to="lab_ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_EquityAbstract_5d38d923-4644-4c2b-9c85-1945b3fd2762_totalLabel_en" xlink:label="lab_ifrs-full_EquityAbstract" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Equity [abstract]</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_EquityAbstract" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_EquityAbstract"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_EquityAbstract" xlink:to="lab_ifrs-full_EquityAbstract" xlink:type="arc" order="1"/>
    <link:label id="lab_amrest_RestaurantPayrollSocialSecurityAndEmployeeBenefits_label_en" xlink:label="lab_amrest_RestaurantPayrollSocialSecurityAndEmployeeBenefits" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Restaurant payroll social security and employee benefits</link:label>
    <link:label id="lab_amrest_RestaurantPayrollSocialSecurityAndEmployeeBenefits_documentation_en" xlink:label="lab_amrest_RestaurantPayrollSocialSecurityAndEmployeeBenefits" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Gastos por retribuciones a los empleados de restaurantes</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_amrest_RestaurantPayrollSocialSecurityAndEmployeeBenefits" xlink:href="259400T6ZDQIMDBGDN42-2022-12-31.xsd#amrest_RestaurantPayrollSocialSecurityAndEmployeeBenefits"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_amrest_RestaurantPayrollSocialSecurityAndEmployeeBenefits" xlink:to="lab_amrest_RestaurantPayrollSocialSecurityAndEmployeeBenefits" xlink:type="arc" order="1"/>
    <link:label id="lab_amrest_FranchiseAndOtherRevenue_label_en" xlink:label="lab_amrest_FranchiseAndOtherRevenue" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Franchise and other revenue</link:label>
    <link:label id="lab_amrest_FranchiseAndOtherRevenue_documentation_en" xlink:label="lab_amrest_FranchiseAndOtherRevenue" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Franquicias y otros ingresos</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_amrest_FranchiseAndOtherRevenue" xlink:href="259400T6ZDQIMDBGDN42-2022-12-31.xsd#amrest_FranchiseAndOtherRevenue"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_amrest_FranchiseAndOtherRevenue" xlink:to="lab_amrest_FranchiseAndOtherRevenue" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_CashFlowsFromUsedInOperatingActivities_3007a76a-ad87-48f8-82a1-833c96e81856_totalLabel_en" xlink:label="lab_ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Cash flows from (used in) operating activities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:to="lab_ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_amrest_TransactionsWithNonControllingInterest_label_en" xlink:label="lab_amrest_TransactionsWithNonControllingInterest" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Transactions with non controlling interest</link:label>
    <link:label id="lab_amrest_TransactionsWithNonControllingInterest_documentation_en" xlink:label="lab_amrest_TransactionsWithNonControllingInterest" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Operaciones con participaciones no dominantes</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_amrest_TransactionsWithNonControllingInterest" xlink:href="259400T6ZDQIMDBGDN42-2022-12-31.xsd#amrest_TransactionsWithNonControllingInterest"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_amrest_TransactionsWithNonControllingInterest" xlink:to="lab_amrest_TransactionsWithNonControllingInterest" xlink:type="arc" order="1"/>
    <link:label id="lab_amrest_RestaurantFranchiseAndOtherExpenses_label_en" xlink:label="lab_amrest_RestaurantFranchiseAndOtherExpenses" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Restaurant franchise and other expenses</link:label>
    <link:label id="lab_amrest_RestaurantFranchiseAndOtherExpenses_documentation_en" xlink:label="lab_amrest_RestaurantFranchiseAndOtherExpenses" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Franquicias y otros gastos</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_amrest_RestaurantFranchiseAndOtherExpenses" xlink:href="259400T6ZDQIMDBGDN42-2022-12-31.xsd#amrest_RestaurantFranchiseAndOtherExpenses"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_amrest_RestaurantFranchiseAndOtherExpenses" xlink:to="lab_amrest_RestaurantFranchiseAndOtherExpenses" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_CashFlowsFromUsedInInvestingActivities_f256709a-580b-4437-b6d0-3b80fa1b1353_totalLabel_en" xlink:label="lab_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Cash flows from (used in) investing activities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="lab_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities_ada0a80f-e509-4375-ab38-ad59f988631a_negatedLabel_en" xlink:label="lab_ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Income taxes paid (refund), classified as operating activities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities" xlink:to="lab_ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents_ed1e300a-dd4b-4268-a62e-6f3a09de0181_totalLabel_en" xlink:label="lab_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Increase (decrease) in cash and cash equivalents after effect of exchange rate changes</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalents"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:to="lab_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_InterestPaidClassifiedAsFinancingActivities_fdccb667-9418-480b-8598-b22dbf1f2df3_negatedLabel_en" xlink:label="lab_ifrs-full_InterestPaidClassifiedAsFinancingActivities" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Interest paid, classified as financing activities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_InterestPaidClassifiedAsFinancingActivities" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_InterestPaidClassifiedAsFinancingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_InterestPaidClassifiedAsFinancingActivities" xlink:to="lab_ifrs-full_InterestPaidClassifiedAsFinancingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities_3df936bf-b937-4047-bb70-37b98abd1e45_negatedLabel_en" xlink:label="lab_ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Repayments of borrowings, classified as financing activities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" xlink:to="lab_ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_DividendsPaidToNoncontrollingInterestsClassifiedAsFinancingActivities_a5219fcf-8870-4984-865b-56e7cdabd709_negatedLabel_en" xlink:label="lab_ifrs-full_DividendsPaidToNoncontrollingInterestsClassifiedAsFinancingActivities" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Dividends paid to non-controlling interests, classified as financing activities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_DividendsPaidToNoncontrollingInterestsClassifiedAsFinancingActivities" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DividendsPaidToNoncontrollingInterestsClassifiedAsFinancingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_DividendsPaidToNoncontrollingInterestsClassifiedAsFinancingActivities" xlink:to="lab_ifrs-full_DividendsPaidToNoncontrollingInterestsClassifiedAsFinancingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_CashFlowsFromUsedInFinancingActivities_306b3fa1-5cec-4baa-8618-66aa1b967d50_totalLabel_en" xlink:label="lab_ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Cash flows from (used in) financing activities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="lab_ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_amrest_InterestReceivedClassifiedAsFinancingActivities_label_en" xlink:label="lab_amrest_InterestReceivedClassifiedAsFinancingActivities" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Interest received classified as financing activities</link:label>
    <link:label id="lab_amrest_InterestReceivedClassifiedAsFinancingActivities_documentation_en" xlink:label="lab_amrest_InterestReceivedClassifiedAsFinancingActivities" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Intereses recibidos clasificados como actividades de financiación</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_amrest_InterestReceivedClassifiedAsFinancingActivities" xlink:href="259400T6ZDQIMDBGDN42-2022-12-31.xsd#amrest_InterestReceivedClassifiedAsFinancingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_amrest_InterestReceivedClassifiedAsFinancingActivities" xlink:to="lab_amrest_InterestReceivedClassifiedAsFinancingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_amrest_CurrentTradeReceivablesAndOtherReceivables_label_en" xlink:label="lab_amrest_CurrentTradeReceivablesAndOtherReceivables" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Current trade receivables and other receivables</link:label>
    <link:label id="lab_amrest_CurrentTradeReceivablesAndOtherReceivables_documentation_en" xlink:label="lab_amrest_CurrentTradeReceivablesAndOtherReceivables" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Deudores comerciales corrientes y otras cuentas por cobrar</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_amrest_CurrentTradeReceivablesAndOtherReceivables" xlink:href="259400T6ZDQIMDBGDN42-2022-12-31.xsd#amrest_CurrentTradeReceivablesAndOtherReceivables"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_amrest_CurrentTradeReceivablesAndOtherReceivables" xlink:to="lab_amrest_CurrentTradeReceivablesAndOtherReceivables" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities_bd990d85-fed4-4ade-8655-a092aba8648c_negatedLabel_en" xlink:label="lab_ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Cash flows used in obtaining control of subsidiaries or other businesses, classified as investing activities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" xlink:to="lab_ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_CashFlowsFromUsedInOperations_323397e4-17bc-413f-a5be-0a360904870e_totalLabel_en" xlink:label="lab_ifrs-full_CashFlowsFromUsedInOperations" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Cash flows from (used in) operations</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInOperations" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperations"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations" xlink:to="lab_ifrs-full_CashFlowsFromUsedInOperations" xlink:type="arc" order="1"/>
  </link:labelLink>
</link:linkbase>
